  /******************************************************************************
  
   ARXIU    : 0_0_Creacio_BD.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de creaci dels objectes de la base de dades
                                
   ******************************************************************************/

$cls

Set echo off; 
set feedback 2;
Set serveroutput on; 
Set define on;
Set PAGESIZE 0; 
Set LINESIZE 1000; 

spool 0_0_Creacio_BD.txt

prompt 
prompt *** Iniciant procs de creaci dels objectes de la Base de Dades....
prompt 

prompt *************************************************************************
prompt 1 Creaci dels espais per dades, l''usuari, les taules i els disparadors 
prompt *************************************************************************
prompt 

@@ 1_0_CreacioTableSpace.sql
@@ 1_1_CreacioUsuariBD.sql
@@ 1_2_CreacioTaules.sql
@@ 1_3_CreacioDisparadors.sql

prompt *************************************************************************
prompt 2 Creaci dels paquets : Utilitats, ABM, Consultes i Estadstiques
prompt *************************************************************************
prompt 

@@ 2_01_Utilitats.sql
@@ 2_02_UsuariABM.sql
@@ 2_03_MetgeABM.sql
@@ 2_04_CentreSanitariABM.sql
@@ 2_05_VisitaABM.sql
@@ 2_06_MalaltiaABM.sql
@@ 2_10_Estadistiques.sql  -- Crear abans de diagnstic i d'activitat ja que criden procedures seves
@@ 2_07_DiagnosticABM.sql
@@ 2_08_ActivitatABM.sql
@@ 2_09_Consultes.sql

prompt 
prompt *** Procs de creaci dels objectes de la Base de Dades finalitzat.

prompt 
select '*** Usuari ' || user || ' el ' || to_char(sysdate,'dd/mm/yyyy hh24:mm') from dual;

Spool off; 
Set define on; 
Set feedback on;
