  /******************************************************************************
  
   ARXIU    : 3_5_InsercionsVisites.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script d'inserci de les dades de la taula VISITA
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent creaci de les visites concertades dels Usuaris al Sistema de salut
prompt **************************************************************************
prompt 


SET SERVEROUTPUT ON; 


DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'NOVA VISITA CONCERTADA: ';

/* Catalans */
-- Visites cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT1039', '172157777749', '30/06/14 10:00', 'A12', 'Resultat Proves', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '172157777749', '10/07/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '172157777749', '20/09/14 10:30', 'A01', 'Dificultat anar de ventre', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '172157777749', '30/09/14 12:15', 'A01', 'Diarrees', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '172157777749', '20/10/14 09:30', 'A01', 'Mal d''esquena', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '172157777749', '10/10/13 11:25', 'A01', 'Mal de Cap', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '172157777749', '10/11/13 10:20', 'A01', 'Salta pell entre dits del peu', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT2307', '175543716434', '10/04/14 10:30', 'A05', 'Prdua memria', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT2307', '175543716434', '20/04/14 10:00', 'A05', 'Resultat especialista', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '175543716434', '10/05/14 12:50', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '175543716434', '13/06/14 11:50', 'A01', 'Diarrees', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT2102', '179643716434', '13/02/14 09:30', 'A09', 'Dolors abdominals', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT2102', '179643716434', '20/02/14 10:25', 'A09', 'Resultat Ressonncia', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '175543716434', '10/09/14 10:20', 'A02', 'Mal d''esquena', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '175543716434', '13/10/14 10:20', 'A02', 'Mal de Cap', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita que es borrar a la fase de proves
TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '175543716434', '13/11/14 11:20', 'A02', 'Mal de Ventre', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita que es borrar a la fase de proves
TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '175543716434', '13/12/14 10:15', 'A02', 'Dolor a l''ull esquerra', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita que es modificar a la fase de proves
TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT0478', '175543716434', '10/02/14 11:15', 'A02', 'Dolor a l''ull esquerra', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Austracs */
-- Visita cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE0982', 'B34535353ZA', '10/05/14 11:15', 'B10', 'Dolor al pit', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita Metge de Familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE3341', 'B34535353ZA', '10/09/14 11:15', 'B02', 'Mal de Cap', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE3341', 'B34535353ZA', '05/10/14 10:00', 'B02', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE1113', 'E39835734FA', '15/02/14 13:00', 'B07', 'Cames enrampades', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita Metge de Familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE3341', 'E39835734FA', '25/05/14 11:00', 'B02', 'Mal d''esquena', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE3341', 'E39835734FA', '03/06/14 17:00', 'B02', 'Diarrees', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE1273', 'V23985723UH', '15/04/14 09:15', 'B04', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita Metge de Familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE3341', 'V23985723UH', '15/07/14 12:15', 'B02', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE3341', 'V23985723UH', '25/08/14 17:15', 'B02', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(11, 'TWIE3341', 'V23985723UH', '30/09/14 18:15', 'B02', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);



/* Belgues */
 
-- Visita Metge de Familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BBRX2091', 'I99935758A', '12/01/14 11:35', '31', 'Molt tapat', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BBRX2091', 'I99935758A', '22/03/14 13:05', '31', 'Dificultat anar de ventre', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BBRX2091', 'I99935758A', '07/05/14 09:30', '31', 'Diarrees', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BBRX2091', 'I99935758A', '29/06/14 11:45', '31', 'Mal d''esquena', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BBRX2091', 'I99935758A', '13/07/14 13:25', '31', 'Mal de Cap', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BBRX2091', 'I99935758A', '14/09/14 08:25', '31', 'Salta pell entre dits del peu', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BBRU1872', 'R98237448B', '10/05/14 11:15', '17', 'Dolor al pit', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(9, 'BALS0983', 'H28934558A', '03/03/14 09:15', '62', 'Prdua memria', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Alemanys */

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DBER1232', 'D125852316434', '15/01/14 09:15', 'Z01', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DBER1232', 'D125346245623', '15/02/14 09:15', 'Z01', 'Dolor agut a la mama', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DBER1232', 'D128934573523', '15/03/14 09:15', 'Z01', 'Dolor pectoral', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DBER1232', 'D125756923834', '15/04/14 09:15', 'Z01', 'Dolor a la micci', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita Metge de Familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DWES1928', 'D125756923834', '12/01/14 11:35', '11', 'Molt tapat', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DWES1928', 'D125756923834', '22/03/14 13:05', '12', 'Dificultat anar de ventre', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DWES1928', 'D125756923834', '07/05/14 09:30', '13', 'Diarrees', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DWES1928', 'D125756923834', '29/06/14 11:45', '14', 'Mal d''esquena', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(6, 'DWES1928', 'D125756923834', '13/07/14 13:25', '15', 'Mal de Cap', oRSP);
dbms_output.put_line(vProces || oRSP);

 
/* Francesos */
 
-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(4, 'FGAR2092', 'F15543716437', '15/01/14 09:15', 'A01', 'Taques a la pell', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(4, 'FSAV0134', 'F15543436437', '15/01/14 09:15', 'A02', 'Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(4, 'FBRE6521', 'F15043430437', '15/01/14 09:15', 'A03', 'Cefalees intenses', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(4, 'FSAV0134', 'F15934256937', '10/01/14 10:15', 'A02', 'Arritmies', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita metge de famlia
TFC_BD.PQ_VISITA_ABM.VISITA_A(4, 'FPAR4981', 'F15934256937', '15/01/14 09:15', 'A21', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(4, 'FPAR4981', 'F15934256937', '15/04/14 10:15', 'A21', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Britnics */

-- Visita metge de famlia
TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KMAN2243', 'ANF255523', '15/01/14 09:15', 'N03', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KMAN2243', 'ANF255523', '15/02/14 09:15', 'N03', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KMAN2243', 'ANF255523', '15/03/14 09:15', 'N03', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KMAN2243', 'ANF255523', '15/04/14 09:15', 'N03', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KLON1627', 'ANJ259345', '15/05/14 09:15', 'C13', 'Dolor al pit', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KLON1627', 'AMK827445', '15/06/14 09:15', 'C13', 'Dolor al pit', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KLON1627', 'AOA829834', '15/07/14 09:15', 'C13', 'Dolor al pit', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(7, 'KBIR1234', 'ADT899335', '15/07/14 09:15', 'B08', 'Dolor a la mama esquerra', oRSP);
dbms_output.put_line(vProces || oRSP);
 
 
/* Grecs */
-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(12, 'GATH1286', '33508035DA', '15/01/14 09:15', '3', 'Cefalees intenses', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(12, 'GATH1286', '35834535FD', '15/02/14 09:15', '3', 'Cefalees intenses', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(12, 'GATH1286', '39578934WQ', '15/03/14 09:15', '3', 'Cefalees intenses', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita metge de famlia
TFC_BD.PQ_VISITA_ABM.VISITA_A(12, 'GATH1600', '39578934WQ', '15/05/14 10:15', '6', 'Comentari visita a', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(12, 'GATH1600', '39578934WQ', '15/06/14 10:15', '6', 'Comentari visita b', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(12, 'GATH1600', '39578934WQ', '15/07/14 10:15', '6', 'Comentari visita c', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(12, 'GATH1286', '32938742GT', '15/04/14 09:15', '3', 'Cefalees intenses', oRSP);
dbms_output.put_line(vProces || oRSP);



/* Irlandesos */
 
-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB1198', 'A23234243N', '15/01/14 09:15', 'A01', 'Taques a la pell', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita metge de famlia
TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB3211', 'A23234243N', '15/03/14 09:15', 'A21', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB3211', 'A23234243N', '15/07/14 10:15', 'A21', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB0231', 'B23652352H', '15/01/14 09:15', 'A02', 'Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita neurleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB1002', 'C98347533N', '15/01/14 09:15', 'A03', 'Cefalees intenses', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB0231', 'A89375353Y', '10/01/14 10:15', 'A02', 'Arritmies', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita metge de famlia
TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB3211', 'A89375353Y', '15/01/14 09:15', 'A21', 'Dolor intestinal', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(13, 'RDUB3211', 'A89375353Y', '15/04/14 10:15', 'A21', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);



/* Italians */

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125543716434', '10/01/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125543716434', '20/02/14 10:30', 'A01', 'Dificultat anar de ventre', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125543716434', '30/03/14 12:15', 'A01', 'Diarrees', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125543716434', '20/04/14 09:30', 'A01', 'Mal d''esquena', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125873216434', '10/05/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125873216434', '20/06/14 10:30', 'A01', 'Dificultat anar de ventre', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125873216434', '30/07/14 12:15', 'A01', 'Diarrees', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125852316434', '10/08/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125852316434', '20/09/14 10:30', 'A01', 'Dificultat anar de ventre', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IREG0782', '125345798354', '10/10/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(5, 'IVEN1212', '125345923745', '15/01/14 09:15', 'V01', 'Taques a la pell', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Neerlandesos */

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(10, 'NLHA2873', 'AB88238333', '10/01/14 12:00', 'AB2', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(10, 'NLHA0321', 'AB88238333', '15/02/14 09:15', 'AC1', 'Taques a la pell', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(10, 'NLHA2873', 'AN89348573', '10/03/14 12:00', 'AB2', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(10, 'NLHA0321', 'AN89348573', '15/04/14 09:15', 'AC1', 'Taques a la pell', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(10, 'NLHA2873', 'GD83945345', '10/05/14 12:00', 'AB2', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita oncleg
TFC_BD.PQ_VISITA_ABM.VISITA_A(10, 'NLHA0321', 'GD83945345', '15/06/14 09:15', 'AC1', 'Taques a la pell', oRSP);
dbms_output.put_line(vProces || oRSP);



/* Portuguesos */

-- Visites cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'A824445NM', '10/01/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'A824445NM', '10/02/14 10:00', 'A12', 'Resultat Proves', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PGAI0390', 'A824445NM', '10/03/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'B884844JA', '10/04/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'B884844JA', '30/05/14 10:00', 'A12', 'Resultat Proves', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PGAI0390', 'B884844JA', '10/06/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'S889444DF', '10/07/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'S889444DF', '30/08/14 10:00', 'A12', 'Resultat Proves', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PGAI0390', 'S889444DF', '10/09/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites cardileg
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'L923475SA', '10/10/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PLIS0821', 'L923475SA', '30/11/14 10:00', 'A12', 'Resultat Proves', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visites metge de familia
TFC_BD.PQ_VISITA_ABM.VISITA_A(8, 'PGAI0390', 'L923475SA', '10/12/14 12:00', 'A01', 'Molt tapat de coll', oRSP);
dbms_output.put_line(vProces || oRSP);


-- Insercions de visites concertades errnies ----------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR: SENSE NMERO D''IDENTIFICADOR DEL CENTRE SANITARI' 
  'ERROR: ES VOL FER ALTA VISITA SENSE ESPECIFICAR DATA I HORA'
  'ERROR: No s'ha trobat el Centre Sanitari de la Visita' 
  'ERROR: No s'ha trobat el Metge de la Visita' 
  'ERROR: No s'ha trobat l'Usuari de la Visita' 
  'ERROR: No es pot crear una Visita amb les dades obligatries sense contingut'
  'ERROR: La Visita ja havia estat donada d''alta' 
  
 ******************************************************************************/

-- Sense identificador del centre
TFC_BD.PQ_VISITA_ABM.VISITA_A(NULL, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sense data ni hora
TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT1039', '172157777749', '', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- codi del centre incorrecte
TFC_BD.PQ_VISITA_ABM.VISITA_A(9999, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- N collegiat incorrecte
TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT9999', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- N afiliacio usuari incorrecte
TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT1039', '999999999999', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Falten dades obligatries (consulta)
TFC_BD.PQ_VISITA_ABM.VISITA_A(2, 'CAT1039', '172157777749', '10/05/14 17:30', '', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Visita ja donada d'alta
TFC_BD.PQ_VISITA_ABM.VISITA_A(1, 'CAT1039', '172157777749', '10/05/14 17:30', 'A12', 'Revisar Palpitacions', oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
