  /******************************************************************************
  
   ARXIU    : 3_7_InsercionsDiagnostics.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script d'inserci de les dades de la taula DIAGNOSTIC
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent creaci dels diagnstics efectuats en el Sistema de salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'NOU DIAGNSTIC: ';

--      ENTRADA  :  pVisitaId   : Identificador nic de la visita on es comunica el diagnstic
--                  pMalaltiaId : Identificador nic de la malaltia diagnosticada
--                  pComentari  : Comentaris sobre el diagnstic comunicat

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 2, 11, 'Cardiograma molt clar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 3, 2, 'Molt com pel clima actual', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Restrenyiment (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 4, 7, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 5, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Lumblgia (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 6, 5, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cefalea (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 7, 3, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Peu d'atleta (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 8, 6, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(10, 14, 'Simptomes inequvocs', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(11, 2, 'Molt com pel clima actual', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(12, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de Colon (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(14, 16, 'Cal operaci urgent', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Lumblgia (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(15, 5, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cefalea (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(16, 3, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic que es borrar a la fase de proves (visita ja s'havia diagnosticat)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(16, 1, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic que es borrar a la fase de proves (visita ja s'havia diagnosticat)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(16, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(20, 11, 'Cardiograma evident', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cefalea (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(21, 3, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(22, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic ELA (malaltia mortal)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(23, 15, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Lumblgia (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(24, 5, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(25, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de pncrees (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(26, 21, 'Cal operaci en 1 mes', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(27, 2, 'Molt com pel clima actual', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(28, 2, 'recaiguda', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(29, 2, 'recaiguda', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(30, 2, 'Molt com pel clima actual', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Restrenyiment (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(31, 7, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(32, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Lumblgia (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(33, 5, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cefalea (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(34, 3, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Peu d'atleta (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(35, 6, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(36, 11, 'Cardiograma molt clar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(37, 14, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de colon (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(38, 16, 'Cal operaci', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de mama (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(39, 17, 'Cal operaci en 1 mes', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de pulm (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(40, 18, 'Cal radio + quimio', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de bufeta (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(41, 19, 'Cal operaci en 2 mesos', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(42, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Restrenyiment (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(43, 7, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(44, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Lumblgia (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(45, 5, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cefalea (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(46, 3, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de Colon (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(47, 16, 'Cal Operar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(48, 11, 'Clar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(49, 14, 'Avanat', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(50, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(51, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(52, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(53, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(54, 4, 'repeteix', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(55, 4, 'repeteix 2', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(56, 4, 'repeteix 3', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(57, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(58, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(59, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de mama (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(60, 17, 'Cal operaci urgent', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(61, 14, 'Avanat', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(62, 14, 'Als inicis', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(63, 14, 'Fase mitjana', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(64, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Restrenyiment (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(65, 7, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(66, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(67, 14, 'Demncia greu', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de pell (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(68, 20, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(69, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(70, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(71, 11, 'Clar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Alzheimer (malaltia degenerativa)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(72, 14, 'Avanat', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(73, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(74, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(75, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(76, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Restrenyiment (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(77, 7, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(78, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Lumblgia (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(79, 5, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(80, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Restrenyiment (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(81, 7, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Gastroenteritis (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(82, 4, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(83, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Restrenyiment (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(84, 7, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(85, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de pell (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(86, 20, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(87, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de pell (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(88, 20, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(89, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de pell (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(90, 20, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(91, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic Cncer de pell (malaltia cancergena)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(92, 20, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(94, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(95, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(97, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(98, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(100, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(101, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic angina de pit (malaltia cardaca)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(103, 11, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic grip (malaltia lleu)
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A(104, 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Insercions de diagnstics errnies --------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR: SENSE IDENTIFICADOR DE LA VISITA'
  'ERROR: SENSE IDENTIFICADOR DE LA MALALTIA'
  'ERROR : No s'ha trobat la Visita del Diagnstic'; 
  'ERROR : No s'ha trobat la Malaltia del Diagnstic' 
  'ERROR : El Diagnstic ja havia estat donat d'alta' 
   
 ******************************************************************************/

-- Sense Id de Visita
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( NULL, 11, 'Cardiograma molt clar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sense Id de Malaltia
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 2, NULL, 'Cardiograma molt clar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Id de visita erroni
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 999999, 11, 'Cardiograma molt clar', oRSP);
dbms_output.put_line(vProces || oRSP);

--Id de Malaltia erroni
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 2, 9999999, 'Cardiograma molt clar', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic ja existent
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_A( 2, 11, 'Cardiograma molt clar', oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
