  /******************************************************************************
  
   ARXIU    : 4_3_ModificacionsMetges.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de modificaci de les dades de la taula METGE
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent modificaci de les fitxes dels Metges del sistema sanitari
prompt **************************************************************************
prompt 


SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); /* Resultat de l'execuci del procediment */
    vProces VARCHAR2(80);  /* Nom del procediment que s'efecta */
BEGIN

  vProces := 'MODIFICACI METGE: ';

  
-- Canvi d'especialitat
TFC_BD.PQ_METGE_ABM.METGE_M('RDUB0231', 'MEFAM', '', '', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);
  
-- Canvi de Nom
TFC_BD.PQ_METGE_ABM.METGE_M('RDUB0231', '', 'Mary Ann', '', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi de Cognoms
TFC_BD.PQ_METGE_ABM.METGE_M('RDUB0231', '', '', 'McCarthy Buckler', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi data de Naixament
TFC_BD.PQ_METGE_ABM.METGE_M('RDUB0231', '', '', '', '', '24/09/1941', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi correu electrnic
TFC_BD.PQ_METGE_ABM.METGE_M('RDUB0231', '', '', '', '', '', 'marymccarthy@gmail.com', '', oRSP);
dbms_output.put_line(vProces || oRSP);

  
-- Modificacions d'usuari errnies --------------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR: SENSE NMERO DE COLLEGIAT DEL METGE'
   'ERROR: NO HI HA CANVIS A FER EN LA FITXA DEL METGE'
   'ERROR : No s'ha trobat la Especialitat del Metge' 
   'ERROR : No es pot canviar Document Identificaci Metge degut a que un altre ja l''Utilitza'
   'ERROR : El Metge no s'ha trobat a la base de dades'
   'ERROR: El Sexe del Metge noms pot ser ''MASCULI'' o ''FEMENI'''
   'ERROR: <NumError><DescError>' per les altres causes
 
 ******************************************************************************/

-- Sense nmero de collegiat
TFC_BD.PQ_METGE_ABM.METGE_M('', 'CARDI', 'Josep', 'Pons Arau', '40309097K', 
                            '10/03/1970', 'ponsarau@catsalut.cat', 'MASCULI', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Metge sense modificacions
TFC_BD.PQ_METGE_ABM.METGE_M('CAT1039', '', '', '', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- No es troba especialitat
TFC_BD.PQ_METGE_ABM.METGE_M('CAT1039', 'UUUUU', 'Josep', 'Pons Arau', '40309097K', 
                            '10/03/1970', 'ponsarau@catsalut.cat', 'MASCULI', oRSP);
dbms_output.put_line(vProces || oRSP);

-- utilitzar un n d'identificador d'un altre ciutad
TFC_BD.PQ_METGE_ABM.METGE_M('CAT1039', 'CARDI', 'Josep', 'Pons Arau', '77777777B', 
                            '10/03/1970', 'ponsarau@catsalut.cat', 'MASCULI', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Metge no trobat
TFC_BD.PQ_METGE_ABM.METGE_M('CAT9999', 'CARDI', 'Josep', 'Pons Arau', '40309097K', 
                            '10/03/1970', 'ponsarau@catsalut.cat', 'MASCULI', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sexe incorrecte
TFC_BD.PQ_METGE_ABM.METGE_M('CAT1039', 'CARDI', 'Josep', 'Pons Arau', '40309097K', 
                            '10/03/1970', 'ponsarau@catsalut.cat', 'MAS', oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
