  /******************************************************************************
  
   ARXIU    : 4_4_ModificacionsCentresSanitaris.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de modificaci de les dades de la taula CENTRE_SANITARI
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent modificaci dels Centres Sanitaris del Sistema de Salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON;

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'MODIFICACI CENTRE SANITARI: ';

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_M(1, 'Hospital de Palams', 'Carrer Hospital, 36', '17230 Palams', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_M(2, 'CAP Calonge', 'Plaa de la Concrdia, 4', '17251 Calonge', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_M(3, 'CAP Sant Antoni de Calonge', 'Av. Costa Brava, 6', '17252 Sant Antoni de Calonge', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);


-- Modificacions Centres Sanitaris errnies ------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR: SENSE IDENTIFICADOR DEL CENTRE SANITARI' 
   'ERROR: NO HI HA CANVIS A FER EN EL CENTRE SANITARI'
   'ERROR : No s''ha trobat el Pas al que es vol assignar el Centre Sanitari' 
   'ERROR : El Centre Sanitari no s'ha trobat a la base de dades'
   
 ******************************************************************************/

-- Sense identificador del centre
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_M(NULL, 'CAP Sant Antoni de Calonge',
                                                'Av. Costa Brava, 6', 
                                                '17252 Sant Antoni de Calonge', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sense canvis
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_M(3, '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Pas incorrecte
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_M(3, 'CAP Sant Antoni de Calonge', 
                                                'Av. Costa Brava, 6', 
                                                '17252 Sant Antoni de Calonge', 'RUS', oRSP);
dbms_output.put_line(vProces || oRSP);

-- No es troba el centre
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_M(999, 'CAP Sant Antoni de Calonge', 
                                                'Av. Costa Brava, 6', 
                                                '17252 Sant Antoni de Calonge', 'SPA', oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
