  /******************************************************************************
  
   ARXIU    : 4_6_ModificacionsMalalties.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de modificaci de les dades de la taula MALALTIA
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent modificaci de les Malalties controlades en el Sistema de salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

  vProces := 'MODIFICACI MALALTIA: ';
  
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_M( 1, 'Refredat com', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_M( 2, 'Grip com', oRSP);
dbms_output.put_line(vProces || oRSP);


 -- Modificacions de malalties errnies --------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR: SENSE IDENTIFICADOR DE LA MALALTIA' 
  'ERROR: NO HI HA CANVIS A FER EN LA MALALTIA'
  'ERROR: La Malaltia no s'ha trobat a la base de dades'

 ******************************************************************************/

-- Sense identificador
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_M( NULL, 'Refredat', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sense modificacions
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_M( 1, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- No s'ha trobat malaltia
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_M( 999999, 'Refredat', oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
