  /******************************************************************************
  
   ARXIU    : 4_7_ModificacionsDiagnostics.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de modificaci de les dades de la taula DIAGNOSTIC
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent modificaci dels diagnstics efectuats en el Sistema de salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

  vProces := 'MODIFICACI DIAGNSTIC: ';

TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_M( 14, 'Comentari diagnstic', oRSP);
dbms_output.put_line(vProces || oRSP);


-- Modificacions de diagnstics errnies --------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR: SENSE IDENTIFICADOR DEL DIAGNOSTIC' 
  'ERROR: NO HI HA CANVIS A FER EN EL DIAGNOSTIC'
  'ERROR : El Diagnstic no s'ha trobat a la base de dades'
                 
 ******************************************************************************/

-- Sense identificador
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_M( NULL, 'Comentari diagnstic', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sense canvis
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_M( 2, '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Id de diagnstic no trobat
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_M( 99999999, 'Comentari diagnstic', oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
