  /******************************************************************************
  
   ARXIU    : 5_2_BorratUsuaris.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de borrat de les dades de la taula USUARI
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent borrat de les fitxes dels Usuaris del sistema de recollida de dades
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); /* Resultat de l'execuci del procediment */
    vProces VARCHAR2(80);  /* Nom del procediment que s'efecta */
BEGIN

  vProces := 'BORRAT USUARI: ';
  
TFC_BD.PQ_USUARI_ABM.USUARI_B('172444777749', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_B('172159787749', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_B('172150965749', oRSP);
dbms_output.put_line(vProces || oRSP);
  
/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR : SENSE NMERO D''AFILIACI DE L''USUARI' 
   'ERROR : ERROR: L''Usuari no s''ha trobat a la base de dades'
 
 ******************************************************************************/

-- Sense N afiliaci sanitria
TFC_BD.PQ_USUARI_ABM.USUARI_B('', oRSP);
dbms_output.put_line(vProces || oRSP);

-- No es troba l'usuari
TFC_BD.PQ_USUARI_ABM.USUARI_B('123456789012', oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
