  /******************************************************************************
  
   ARXIU    : 5_4_BorratCentresSanitaris.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de borrat de les dades de la taula CENTRE_SANITARI
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent borrat dels Centres Sanitaris del Sistema de Salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON;

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'BORRAT CENTRE SANITARI: ';

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_B(14, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_B(15, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_B(16, oRSP);
dbms_output.put_line(vProces || oRSP);


/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR : SENSE IDENTIFICADOR DEL CENTRE SANITARI' 
   'ERROR : El Centre Sanitari no s'ha trobat a la base de dades'
   'ERROR : No es pot esborrar el Centre Sanitari per estar relacionat
            amb altres dades'
   
 ******************************************************************************/

-- Sense identificador
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_B(NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Centre no existent
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_B(999, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Centre no es pot borrar (integritat referencial)
TFC_BD.PQ_CENTRE_SANITARI_ABM.CENTRE_SANITARI_B(1, oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
