  /******************************************************************************
  
   ARXIU    : 5_5_BorratVisites.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de borrat de les dades de la taula VISITA
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent borrat de les visites concertades dels Usuaris al Sistema de salut
prompt **************************************************************************
prompt 


SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'BORRAT VISITA CONCERTADA: ';

TFC_BD.PQ_VISITA_ABM.VISITA_B(17, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_VISITA_ABM.VISITA_B(18, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Borrat de visites concertades errnies -------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR : SENSE IDENTIFICADOR DE LA VISITA CONCERTADA' 
  'ERROR : La Visita Concertada no s'ha trobat a la base de dades'
  'ERROR : No es pot esborrar la Visita per estar relacionada amb altres dades'
   
 ******************************************************************************/

-- No hi ha identificador de la visita
TFC_BD.PQ_VISITA_ABM.VISITA_B(NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- No es troba la visita
TFC_BD.PQ_VISITA_ABM.VISITA_B(9999, oRSP);
dbms_output.put_line(vProces || oRSP);

-- No es pot borrar (integritat referencial)
TFC_BD.PQ_VISITA_ABM.VISITA_B(2, oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
