  /******************************************************************************
  
   ARXIU    : 5_7_BorratDiagnostics.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de borrat de les dades de la taula DIAGNOSTIC
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent borrat dels diagnstics efectuats en el Sistema de salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

  vProces := 'BORRAT DIAGNSTIC: ';

TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_B( 14, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_B( 15, oRSP);
dbms_output.put_line(vProces || oRSP);


-- Borrat erronis de diagnstics -----------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR : SENSE IDENTIFICADOR DEL DIAGNOSTIC' 
  'ERROR : El Diagnstic no s'ha trobat a la base de dades'
   
 ******************************************************************************/

-- Sense identificador
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_B( NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Diagnstic no trobat
TFC_BD.PQ_DIAGNOSTIC_ABM.DIAGNOSTIC_B( 9999999, oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
