  /******************************************************************************
  
   ARXIU    : 6_2_Consultes_b.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades segons requeriments [R4] punt b) 
              Llista dels mesos de l'any d'un usuari informant de :
              - Nombre de passes realitzades
              - Nombre mitj de calories gastades per dia
              - Nombre d'hores de poca activitat
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar
                  pUsuari   : Identificador de l'usuari a Consultar
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'LLISTAT_MESOS_USUARI ';

-- CONSULTES CORRECTES:

TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('172157777749', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('175543716434', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('179643716434', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('175542076434', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('D125852316434', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

-- CONSULTES ERRNIES:

-- Sense usuari
TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

-- Sense Any
TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('172157777749', NULL, vRsp);
dbms_output.put_line(vProces || vRsp);

-- Usuari no trobat
TFC_BD.PQ_CONSULTES.LLISTAT_MESOS_USUARI('999999999999', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);


---------------------------------------------------------------------------------------------------
END;
/
