  /******************************************************************************
  
   ARXIU    : 6_3_Consultes_c.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades segons requeriments [R4] punt c) 
              Llista dels pasos de la Uni Europea informant de :
              - Nombre mitj de passes diaries realitzades
              - Nombre mitj de calories gastades per dia
              - Nombre mitj d'hores de poca activitat
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar
                  pEdat     : Edat mxima a Consultar
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'LLISTAT_PAISOS ';

-- CONSULTES CORRECTES:
TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, 15, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, 20, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, 25, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, 30, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, 35, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, 40, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, 45, vRsp);
dbms_output.put_line(vProces || vRsp);

-- CONSULTES ERRNIES:

-- Sense Any
TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(NULL, 45, vRsp);
dbms_output.put_line(vProces || vRsp);

-- Sense edat
TFC_BD.PQ_CONSULTES.LLISTAT_PAISOS(2014, NULL, vRsp);
dbms_output.put_line(vProces || vRsp);

---------------------------------------------------------------------------------------------------
END;
/
