  /******************************************************************************
  
   ARXIU    : 7_1_Consultes_E1.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades Estadstiques E1 i E1C 
              - Informa del nombre de ciutadans que han fet servir 
			    el sistema de recollida de dades
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar 
	                          (per a consultes E1 i E1C)
                  pPais     : Identificador del pais a Consultar 
				              (noms per a consultes E1)
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'CONSULTA_EST1 ';

-- CONSULTES PER PASOS

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST1('SPA', 2013, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST1('SPA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST1('FRA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST1('ITA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST1('GBR', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);


  vProces := 'CONSULTA_ESTC1 ';
  
-- CONSULTES UNIO EUROPEA

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC1(2013, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC1(2014, vRsp);
dbms_output.put_line(vProces || vRsp);


---------------------------------------------------------------------------------------------------
END;
/
