  /******************************************************************************
  
   ARXIU    : 7_2_Consultes_E2.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades Estadstiques E21 i E2C 
              - Informa de totes les calories gastades pels ciutadans
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar 
	                          (per a consultes E2 i E2C)
                  pPais     : Identificador del pais a Consultar 
				              (noms per a consultes E2)
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'CONSULTA_EST2 ';

-- CONSULTES PER PASOS

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST2('SPA', 2013, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST2('SPA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST2('FRA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST2('ITA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST2('GBR', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

  vProces := 'CONSULTA_ESTC2 ';
  
-- CONSULTES UNIO EUROPEA

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC2(2013, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC2(2014, vRsp);
dbms_output.put_line(vProces || vRsp);

---------------------------------------------------------------------------------------------------
END;
/
