  /******************************************************************************
  
   ARXIU    : 7_4_Consultes_E4.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades Estadstiques E4 i E4C 
              - Informa de la suma de hores de poca activitat dels ciutadans
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar 
	                          (per a consultes E4 i E4C)
                  pPais     : Identificador del pais a Consultar 
				              (noms per a consultes E4)
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'CONSULTA_EST4 ';

-- CONSULTES PER PASOS

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST4('SPA', 2013, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST4('SPA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST4('FRA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST4('ITA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST4('GBR', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

  vProces := 'CONSULTA_ESTC4 ';
  
-- CONSULTES UNIO EUROPEA

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC4(2013, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC4(2014, vRsp);
dbms_output.put_line(vProces || vRsp);

---------------------------------------------------------------------------------------------------
END;
/
