  /******************************************************************************
  
   ARXIU    : 7_5_Consultes_E5.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades Estadstiques E5 i E5C 
              - Informa del nombre de ciutadans als que se'ls
			    hi ha diagnosticat una malaltia cardaca.
   
   PARMETRES  :
      ENTRADA  :  pAny  : Any a consultar 
	                        (per a consultes E5 i E5C)
                  pPais : Identificador del pais a Consultar 
				                  (noms per a consultes E5)
				  
      SORTIDA  :  pRSP  : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'CONSULTA_EST5 ';

-- CONSULTES PER PASOS

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST5('SPA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST5('FRA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST5('ITA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST5('GBR', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

  vProces := 'CONSULTA_ESTC5 ';
  
-- CONSULTES UNIO EUROPEA

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC5(2014, vRsp);
dbms_output.put_line(vProces || vRsp);

---------------------------------------------------------------------------------------------------
END;
/
