  /******************************************************************************
  
   ARXIU    : 7_8_Consultes_E8.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades Estadstiques E8 i E8C 
              - Informa de la suma total de malalties lleus diagnosticades
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar 
	                          (per a consultes E8 i E8C)
                  pPais     : Identificador del pais a Consultar 
				              (noms per a consultes E8)
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'CONSULTA_EST8 ';

-- CONSULTES PER PASOS

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST8('SPA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST8('FRA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST8('ITA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST8('GBR', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

  vProces := 'CONSULTA_ESTC8 ';
  
-- CONSULTES UNIO EUROPEA

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC8(2014, vRsp);
dbms_output.put_line(vProces || vRsp);

---------------------------------------------------------------------------------------------------
END;
/
