  /******************************************************************************
  
   ARXIU    : 3_2_InsercionsUsuaris.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script d'inserci de les dades de la taula USUARI
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent creaci de les fitxes dels Usuaris del sistema de recollida de dades
prompt **************************************************************************
prompt 


SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); /* Resultat de l'execuci del procediment */
    vProces VARCHAR2(80);  /* Nom del procediment que s'efecta */
BEGIN

vProces := 'NOU USUARI: ';

/* Catalans */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Josep', 'Pons Arau', '40309097K', 'SPA', '10/03/1990', 
                              'ponsarau@gmail.com', 'MASCULI', '172157777749', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Maria', 'Ramis Padareda', '77777777B', 'SPA', '22/11/1973', 
                              'mariaramis@icloud.com', 'FEMENI', '175543716434', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Antoni', 'Feliu Casals', '66666666B', 'SPA', '14/07/1965', 
                              'tonifeliuc@icloud.com', 'MASCULI', '179643716434', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Anna', 'Freixes Oliu', '55555555B', 'SPA', '04/01/1991', 
                              'annaf@xtec.com', 'FEMENI', '175542076434', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Merc', 'Casals Bernat', '44444444H', 'SPA', '27/06/1997', 
                              'mercecasals@gencat.cat', 'FEMENI', '175742076437', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Joaquima', 'Pons Pedret', '33333333L', 'SPA', '30/04/2001', 
                              'mercecasals@gencat.cat', 'FEMENI', '172742072437', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Francesos */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Julien', 'Arnone Vidal', 'F28923455', 'FRA', '17/04/1966', 
                              'julienarnone@orange.fr', 'MASCULI', 'F15543716437', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Franois', 'Brouillard Gascogne', 'F38923435', 'FRA', '11/10/1978', 
                              'franbrogas@orange.fr', 'MASCULI', 'F15543436437', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Sophie', 'Brouillard Gascogne', 'F38458435', 'FRA', '07/03/1981', 
                              'sophiebrogas@orange.fr', 'FEMENI', 'F15043430437', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Anne', 'Matignon Delors', 'N38923835', 'FRA', '06/06/1986', 
                              'annematdelors@orange.fr', 'FEMENI', 'F15934256937', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Italians */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Maria', 'Bortolotti Valdo', 'A48923455B', 'ITA', '30/03/1960', 
                              'mariab@vodafone.com', 'FEMENI', '125543716434', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Stefano', 'Bocca Vicioni', 'A45477452N', 'ITA', '02/02/1971', 
                              'stefbovi@hotmail.com', 'MASCULI', '125873216434', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Domenico', 'Corsi Valero', 'A40477352D', 'ITA', '12/12/1982', 
                              'domencor@agip.com', 'MASCULI', '125852316434', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Giovanna', 'Marsi Cossina', 'A48234555D', 'ITA', '31/07/1973', 
                              'giovannamc@enichem.it', 'FEMENI', '125345798354', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Valeria', 'Caprile Bernadetti', 'A48231124O', 'ITA', '19/09/1998', 
                              'valeriacb@enichem.it', 'FEMENI', '125345923745', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Alemanys */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Thomas', 'Bayer Bauer', 'NB40477323', 'DEU', '24/09/1993', 
                              'thomasb@google.com', 'MASCULI', 'D125852316434', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Erika', 'Herst Schumann', 'NA40454563', 'DEU', '06/05/1964', 
                              'erikahs@microsoft.de', 'FEMENI', 'D125346245623', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Ulrika', 'Beckenbauer Aldricht', 'NF43555563', 'DEU', '11/07/1961', 
                              'ulrikaba@bundestag.de', 'FEMENI', 'D128934573523', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Eric', 'Honecker Brandauer', 'NJ40963223', 'DEU', '30/03/1972', 
                              'erichb@bayer.com', 'MASCULI', 'D125756923834', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Britnics */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Thomas', 'Shelby Mann', 'A4042344S', 'GBR', '02/11/1957', 
                              'thomassm@bbc.co.uk', 'MASCULI', 'ANF255523', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Jeremy', 'Irons White', 'B4083344Z', 'GBR', '05/08/1951', 
                              'jeremyiw@bbc.co.uk', 'MASCULI', 'ANJ259345', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Michael', 'Kent Follet', 'B4082343A', 'GBR', '09/04/1979', 
                              'michkefo@bbc.co.uk', 'MASCULI', 'AMK827445', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Gillian', 'Anderson Peterson', 'D4389453K', 'GBR', '17/04/1993', 
                              'gillanpe@bbc.co.uk', 'FEMENI', 'AOA829834', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Patricia', 'Heigsmith Bates', 'W4399953Q', 'GBR', '07/11/1981', 
                              'pattyhei@bbc.co.uk', 'FEMENI', 'ADT899335', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Portuguesos */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Joao', 'Figueroa Passoa', '44082343A', 'POR', '07/12/1982', 
                              'joaofigueroa@vodafone.pt', 'MASCULI', 'A824445NM', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Julio', 'Andrade Conceiao', '44537894F', 'POR', '19/04/1974', 
                              'julioandrade@vodafone.pt', 'MASCULI', 'B884844JA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Claudia', 'Do Santos Batista', '14227894A', 'POR', '11/11/1989', 
                              'claudiadosan@vodafone.pt', 'FEMENI', 'S889444DF', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Laura', 'Castro Do Alvares', '56436894U', 'POR', '03/07/1968', 
                              'lauracastro@vodafone.pt', 'FEMENI', 'L923475SA', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Belgues */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Marie', 'Boussac Forestier', 'A56666894U', 'BEL', '17/09/1961', 
                              'marieboufor@vodafone.be', 'FEMENI', 'I99935758A', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Alinne', 'Bertrand Malluer', 'S56625533N', 'BEL', '11/04/1978', 
                              'alinnebemal@vodafone.be', 'FEMENI', 'R98237448B', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Claudette', 'Lignan Bourresac', 'D52355533G', 'BEL', '22/02/1989', 
                              'claudligbou@vodafone.be', 'FEMENI', 'H28934558A', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Neerlandesos */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Rob', 'Wyjmer Van Campen', 'A4234444S', 'NED', '09/07/1986', 
                              'robwyjvc@vodafone.nl', 'MASCULI', 'AB88238333', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Edith', 'Wyjmer Van Campen', 'K4245646L', 'NED', '09/07/1986', 
                              'edithwyjvc@vodafone.nl', 'FEMENI', 'AN89348573', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Huishe', 'Van Gobelen Guthand', 'P4235521I', 'NED', '18/12/1959', 
                              'Huishevg@vodafone.nl', 'FEMENI', 'GD83945345', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Austracs */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Heinz', 'Swoboda Shultz', 'AN4234755', 'AUS', '02/06/1952', 
                              'heinzswo@vodafone.au', 'MASCULI', 'B34535353ZA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Vera', 'Schmitz Rugberg', 'DB0349551', 'AUS', '04/11/1957', 
                              'veraschm@vodafone.au', 'FEMENI', 'E39835734FA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Martina', 'Swoboda Schmitz', 'DA3455853', 'AUS', '14/10/1977', 
                              'martinaswosch@vodafone.au', 'FEMENI', 'V23985723UH', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Grecs */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Iannakis', 'Populos Barudat', 'A493475522', 'GRK', '02/01/1991', 
                              'iannakispoba@vodafone.gk', 'MASCULI', '33508035DA', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Armandos', 'Papadopoulus Tziovas', 'A430945853', 'GRK', '16/04/1976', 
                              'armandospapa@vodafone.gk', 'MASCULI', '35834535FD', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Dionisios', 'Iodorakis Rubeni', 'B394857345', 'GRK', '26/11/1949', 
                              'dionisiodrub@vodafone.gk', 'MASCULI', '39578934WQ', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Ignatios', 'Papadopoulus Homerius', 'D938475311', 'GRK', '29/07/1960', 
                              'ignatiospaho@vodafone.gk', 'MASCULI', '32938742GT', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Irlandesos */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Mary', 'McCarthy Bugler', 'A9834752L', 'IRL', '24/08/1941', 
                              'marymccarthy@vodafone.ir', 'FEMENI', 'A23234243N', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Beth', 'McNulty McFadyan', 'R9389457W', 'IRL', '19/02/1974', 
                              'bethmcnulty@vodafone.ir', 'FEMENI', 'B23652352H', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Mathew', 'McCormic Jones', 'E2353534K', 'IRL', '13/07/1958', 
                              'mccormicinc@vodafone.ir', 'MASCULI', 'C98347533N', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('John', 'Cushak Spacey', 'D3457344F', 'IRL', '22/09/1950', 
                              'johncushak@vodafone.ir', 'MASCULI', 'A89375353Y', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Usuaris que es borraran a les proves */
TFC_BD.PQ_USUARI_ABM.USUARI_A('Marta', 'Pauls Torrent', '45309097N', 'SPA', '10/03/1982', 
                              'martapauls@gmail.com', 'FEMENI', '172444777749', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Artur', 'Bernat Pons', '48888097S', 'SPA', '10/03/1986', 
                              'bernatpons@gmail.com', 'MASCULI', '172159787749', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_USUARI_ABM.USUARI_A('Moiss', 'Barril Nius', '4345097N', 'SPA', '10/03/1974', 
                              'barrilnius@gmail.com', 'MASCULI', '172150965749', oRSP);
dbms_output.put_line(vProces || oRSP);


-- Insercions d'usuari errnies --------------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR: SENSE NMERO D''AFILIACI DE L''USUARI (CAMP CLAU)' 
   'ERROR: No s'ha trobat el Pas de l''Usuari' 
   'ERROR: L'Usuari es vol donar d'alta amb el Nmero d'Identifiaci d'un altre'
   'ERROR: L''Usuari ja havia estat donat d''alta' 
   'ERROR: No es pot crear un Usuari amb les dades obligatries sense contingut'
   'ERROR: El Sexe de l''Usuari noms pot ser ''MASCULI'' o ''FEMENI'''
               
 ******************************************************************************/

-- Sense n afiliaci
TFC_BD.PQ_USUARI_ABM.USUARI_A('Miquel', 'Gasull Puigvert', '404040405S', 'SPA', '22/09/1950', 
                              '', 'MASCULI', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Pas inexistent
TFC_BD.PQ_USUARI_ABM.USUARI_A('Miquel', 'Gasull Puigvert', '404040405S', 'RUS', '22/09/1950', 
                              '', 'MASCULI', '172157777749', oRSP);
dbms_output.put_line(vProces || oRSP);

-- N d'identificaci d'un altre usuari
TFC_BD.PQ_USUARI_ABM.USUARI_A('Joan', 'Demiquels Bertran', '40309097K', 'SPA', '22/09/1950', 
                              '', 'MASCULI', '172157987749', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Usuari repetit
TFC_BD.PQ_USUARI_ABM.USUARI_A('Josep', 'Pons Arau', '40309097K', 'SPA', '10/03/1990', 
                              'ponsarau@gmail.com', 'MASCULI', '172157777749', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Falten dades obligatries
TFC_BD.PQ_USUARI_ABM.USUARI_A('', '', '404040405S', 'SPA', NULL, 
                              '', 'MASCULI', '1721571237749', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sexe incorrecte
TFC_BD.PQ_USUARI_ABM.USUARI_A('Miquel', 'Gasull Puigvert', '404040405S', 'SPA', '22/09/1950', 
                              '', 'MAS', '172157986749', oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
