  /******************************************************************************
  
   ARXIU    : 3_3_InsercionsMetges.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script d'inserci de les dades de la taula METGE
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent creaci de les fitxes dels Metges del sistema sanitari
prompt **************************************************************************
prompt 


SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); /* Resultat de l'execuci del procediment */
    vProces VARCHAR2(80);  /* Nom del procediment que s'efecta */
BEGIN

vProces := 'NOU METGE: ';

/* Catalans */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Josep', 'Pons Arau', '40309097K', 'SPA', '10/03/1970', 
                            'ponsarau@catsalut.cat', 'MASCULI', 'CARDI', 'CAT1039', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Alba', 'Roures Puig', '77921034N', 'SPA', '14/05/1981', 
                            'albaroures@catsalut.cat', 'FEMENI', 'ONCOL', 'CAT2102', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Roser', 'Farrs Vila', '77934958A', 'SPA', '12/08/1969', 
                            'roserfarres@catsalut.cat', 'FEMENI', 'MEFAM', 'CAT0478', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Pau', 'Geli Abadal', '77345834S', 'SPA', '08/02/1972', 
                            'paugeli@catsalut.cat', 'MASCULI', 'NEURO', 'CAT2307', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Francesos */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Julien', 'Arnone Vidal', 'F28923455', 'FRA', '17/04/1966', 
                            'julienarnone@orange.fr', 'MASCULI', 'CARDI', 'FSAV0134', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Ludovic', 'Rochefort Vilain', 'E22389753', 'FRA', '14/12/1982', 
                            'ludovicrocvi@orange.fr', 'MASCULI', 'ONCOL', 'FGAR2092', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Alain', 'Jup Agudin', 'R22893745', 'FRA', '03/10/1977', 
                            'alainjupe@orange.fr', 'MASCULI', 'MEFAM', 'FPAR4981', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Brigitte', 'Bardot Pezet', 'L22342455', 'FRA', '27/05/1971', 
                            'brigittebard@orange.fr', 'FEMENI', 'NEURO', 'FBRE6521', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Italians */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Maria', 'Bortolotti Valdo', 'A48923455B', 'ITA', '30/03/1960', 
                            'mariab@vodafone.com', 'FEMENI', 'CARDI', 'IROM4503', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Sandra', 'Ruggiero Alfi', 'B42938745S', 'ITA', '10/01/1975', 
                            'sandrarug@vodafone.com', 'FEMENI', 'ONCOL', 'IVEN1212', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Carmela', 'Sandri Celentano', 'X43498545D', 'ITA', '15/12/1984', 
                            'carmelasandri@vodafone.com', 'FEMENI', 'MEFAM', 'IREG0782', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Victoria', 'Sordi Benedetti', 'E23894755H', 'ITA', '04/04/1976', 
                            'victoriasordi@vodafone.com', 'FEMENI', 'NEURO', 'IAPE0714', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Alemanys */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Thomas', 'Bayer Bauer', 'NB40477323', 'DEU', '24/09/1993', 
                            'thomasb@google.com', 'MASCULI', 'CARDI', 'DMUN8230', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Willy', 'Brandt Muller', 'AD48233532', 'DEU', '07/09/1975', 
                            'willybrandt@google.com', 'MASCULI', 'ONCOL', 'DBER1232', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Andreas', 'Petermeier Schultz', 'EJ48435452', 'DEU', '22/10/1967', 
                            'andreaspitermeier@google.com', 'MASCULI', 'MEFAM', 'DWES1928', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Magnus', 'Larsen Schumacker', 'IL98327455', 'DEU', '14/03/1977', 
                            'magnuslarsens@google.com', 'MASCULI', 'NEURO', 'DMAN1340', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Britnics */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Thomas', 'Shelby Mann', 'A4035234S', 'GBR', '02/11/1957', 
                              'thomassm@bbc.co.uk', 'MASCULI', 'CARDI', 'KLON1627', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Patrick', 'Swayze Kelvin', 'B4052334T', 'GBR', '04/01/1972', 
                              'patrickswayze@ual.co.uk', 'MASCULI', 'ONCOL', 'KBIR1234', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Albert', 'Finn Robertson', 'B4235344Y', 'GBR', '07/03/1987', 
                              'albertfinn@ual.co.uk', 'MASCULI', 'MEFAM', 'KMAN2243', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Joseph', 'Mars Butler', 'D4032344U', 'GBR', '03/06/1963', 
                              'josephmars@ual.co.uk', 'MASCULI', 'NEURO', 'KBOR2342', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Portuguesos */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Joao', 'Figueroa Passoa', '44082343A', 'POR', '07/12/1982', 
                              'joaofigueroa@vodafone.pt', 'MASCULI', 'CARDI', 'PLIS0821', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Carlota', 'Obrigadu Pasc', '32847553S', 'POR', '17/08/1976', 
                              'carlotaobrigadu@vodafone.pt', 'FEMENI', 'ONCOL', 'POPO0354', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Carolina', 'Galves Burnal', '93782253D', 'POR', '17/09/1962', 
                              'carolinagalves@vodafone.pt', 'FEMENI', 'MEFAM', 'PGAI0390', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Eliana', 'Guimaraes Albertu', '42345783O', 'POR', '21/02/1975', 
                              'elianagui@vodafone.pt', 'FEMENI', 'NEURO', 'PPLA0032', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Belgues */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Marie', 'Boussac Forestier', 'A56666894U', 'BEL', '17/09/1961', 
                              'marieboufor@vodafone.be', 'FEMENI', 'CARDI', 'BBRU1872', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Carolinne', 'Bertous Custier', 'B28934754S', 'BEL', '11/11/1987', 
                              'carolinnebertous@vodafone.be', 'FEMENI', 'ONCOL', 'BAMB0922', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Anne', 'Bichon Badouselle', 'N93745554L', 'BEL', '09/10/1990', 
                              'annebichonba@vodafone.be', 'FEMENI', 'MEFAM', 'BBRX2091', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Claudette', 'Bertrand Maladier', 'D98435294K', 'BEL', '12/06/1975', 
                              'claudettebermal@vodafone.be', 'FEMENI', 'NEURO', 'BALS0983', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Neerlandesos */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Rob', 'Wyjmer Van Campen', 'A4234444S', 'NED', '09/07/1986', 
                              'robwyjvc@vodafone.nl', 'MASCULI', 'CARDI', 'NLHA0278', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Elhom', 'Vorniten Auslagen', 'A4777744E', 'NED', '19/10/1959', 
                              'elhomvor@vodafone.nl', 'MASCULI', 'ONCOL', 'NLHA0321', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Marita', 'Bultragen Asfainen', 'A4234219W', 'NED', '13/10/1979', 
                              'maritabu@vodafone.nl', 'FEMENI', 'MEFAM', 'NLHA2873', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Erika', 'Van der Velde Hulgreen', 'R4873744Q', 'NED', '04/02/1973', 
                              'erikavvh@vodafone.nl', 'FEMENI', 'NEURO', 'NLHA0045', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Austracs */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Heinz', 'Swoboda Shultz', 'AN4234755', 'AUS', '02/06/1952', 
                              'heinzswo@vodafone.au', 'MASCULI', 'CARDI', 'TWIE0982', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Berta', 'Aushloe Kutrille', 'AN4298234', 'AUS', '05/08/1970', 
                              'bertaaus@vodafone.au', 'FEMENI', 'ONCOL', 'TWIE1273', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Gilda', 'Mubitzen Grolhom', 'AN8234221', 'AUS', '12/11/1979', 
                              'gildamub@vodafone.au', 'FEMENI', 'MEFAM', 'TWIE3341', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Mareka', 'Wolfstein Khann', 'AN4249583', 'AUS', '25/12/1983', 
                              'marekawo@vodafone.au', 'FEMENI', 'NEURO', 'TWIE1113', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Grecs */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Iannakis', 'Populos Barudat', 'A493475522', 'GRK', '02/01/1991', 
                              'iannakispoba@vodafone.gk', 'MASCULI', 'CARDI', 'GATH1901', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Katia', 'Iannitis Podeulus', 'N348352522', 'GRK', '13/09/1982', 
                              'katiaianpod@vodafone.gk', 'FEMENI', 'ONCOL', 'GATH0923', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Veltia', 'Annueris Kadalis', 'S323872524', 'GRK', '12/04/1977', 
                              'veltiaanuka@vodafone.gk', 'FEMENI', 'MEFAM', 'GATH1600', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Sonia', 'Vitalitis Antuisus', 'R389875932', 'GRK', '09/03/1988', 
                              'soniavitaan@vodafone.gk', 'FEMENI', 'NEURO', 'GATH1286', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Irlandesos */
/* Aquest metge ja est donat d'alta com a usuari */
TFC_BD.PQ_METGE_ABM.METGE_A('Mary', 'McCarthy Bugler', 'A9834752L', 'IRL', '24/08/1941', 
                              'marymccarthy@vodafone.ir', 'FEMENI', 'CARDI', 'RDUB0231', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Elisabeth', 'McCain Bastian', 'N2823452P', 'IRL', '27/03/1972', 
                              'elisamccbas@vodafone.ir', 'FEMENI', 'ONCOL', 'RDUB1198', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Eileen', 'Alborough Trullen', 'D2923842I', 'IRL', '29/07/1968', 
                              'eileenaboro@vodafone.ir', 'FEMENI', 'MEFAM', 'RDUB3211', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Nicole', 'Kidman McCarthy', 'L2844442W', 'IRL', '31/03/1974', 
                              'nicolekidmc@vodafone.ir', 'FEMENI', 'NEURO', 'RDUB1002', oRSP);
dbms_output.put_line(vProces || oRSP);

/* Metges que es borraran a les proves */
TFC_BD.PQ_METGE_ABM.METGE_A('Maria', 'Bertran Canals', '77927774K', 'SPA', '14/05/1973', 
                            'mariabertran@catsalut.cat', 'FEMENI', 'ONCOL', 'CAT2132', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Paula', 'Barraquer Prez', '77928674S', 'SPA', '14/05/1979', 
                            'paulabarraquer@catsalut.cat', 'FEMENI', 'ONCOL', 'CAT1732', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_A('Joana', 'Mart Blanc', '77854374U', 'SPA', '14/05/1984', 
                            'joanamarti@catsalut.cat', 'FEMENI', 'ONCOL', 'CAT4113', oRSP);
dbms_output.put_line(vProces || oRSP);


-- Insercions de metges errnies -----------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR: SENSE NMERO DE COLLEGIAT DEL METGE (CAMP CLAU)' 
   'ERROR : No s'ha trobat la Especialitat del Metge' 
   'ERROR : No s'ha trobat el Pas del Metge' 
   'ERROR : El Metge ja havia estat donat d''alta' 
   'ERROR: No es pot crear un Metge amb les dades obligatries sense contingut';
   'ERROR: El Sexe del Metge noms pot ser ''MASCULI'' o ''FEMENI'''

 ******************************************************************************/

-- Sense n collegiat
TFC_BD.PQ_METGE_ABM.METGE_A('Josep', 'Pons Arau', '40309097K', 'SPA', '10/03/1970', 
                            'ponsarau@catsalut.cat', 'MASCULI', 'CARDI', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Especialitat no trobada
TFC_BD.PQ_METGE_ABM.METGE_A('Marcel', 'Arnau Pons', '47654097K', 'SPA', '10/03/1973', 
                            'arnaupons@catsalut.cat', 'MASCULI', 'UUUUU', 'CAT1129', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Pais no trobat
TFC_BD.PQ_METGE_ABM.METGE_A('Marcel', 'Arnau Pons', '47654097K', 'RUS', '10/03/1973', 
                            'arnaupons@catsalut.cat', 'MASCULI', 'CARDI', 'CAT1129', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Metge ja donat d'alta
TFC_BD.PQ_METGE_ABM.METGE_A('Josep', 'Pons Arau', '40309097K', 'SPA', '10/03/1970', 
                            'ponsarau@catsalut.cat', 'MASCULI', 'CARDI', 'CAT1039', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Falten dades obligatries
TFC_BD.PQ_METGE_ABM.METGE_A('', '', '47654097K', 'SPA', '10/03/1973', 
                            'arnaupons@catsalut.cat', 'MASCULI', 'CARDI', 'CAT1129', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sexe incorrecte
TFC_BD.PQ_METGE_ABM.METGE_A('Marcel', 'Arnau Pons', '47654097K', 'SPA', '10/03/1973', 
                            'arnaupons@catsalut.cat', 'MAS', 'CARDI', 'CAT1129', oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
