  /******************************************************************************
  
   ARXIU    : 3_6_InsercionsMalalties.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script d'inserci de les dades de la taula MALALTIA
                                
   ******************************************************************************/


prompt **************************************************************************
prompt Fent creaci de les Malalties controlades en el Sistema de salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

vProces := 'NOVA MALALTIA: ';

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Refredat', 'Intranscendent', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Grip', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Cefalea', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Gastroenteritis', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Lumblgia', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Peu d''atleta', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Restrenyiment', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('GERIA', 'Demncia senil', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('GINOB', 'Dolor menstrual', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('GINOB', 'Endometriosi', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('CARDI', 'Angina de Pit', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('CARDI', 'Infart', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('CARDI', 'Valvulopatia', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('NEURO', 'Alzheimer', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('NEURO', 'Esclerosi lateral amiotrfica', 'Mortal', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ONCOL', 'Cncer de colon', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ONCOL', 'Cncer de mama', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ONCOL', 'Cncer de pulm', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ONCOL', 'Cncer de bufeta', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ONCOL', 'Cncer de pell (melanoma)', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ONCOL', 'Cncer de pncrees', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ONCOL', 'Leucmia', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEESP', 'Ruptura fibrilar', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEESP', 'Tendinitis', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PSIQU', 'Angoixa', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PSIQU', 'Depressi', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PSIQU', 'Trastorn bipolar', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PSIQU', 'Esquizofrnia', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PSIQU', 'Trastorn delirant', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('TROPI', 'Clera', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('TROPI', 'Dengue', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('TROPI', 'Ebola', 'Mortal', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('TROPI', 'Febre groga', 'Greu', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PEDIA', 'Xarampi', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PEDIA', 'Varicella', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('PEDIA', 'Verola', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('GASTR', 'Malaltia de crohn', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('GASTR', 'Tenesme rectal', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('GASTR', 'lcera estomacal', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);


TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('UROLO', 'Clic nefrtic', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('UROLO', 'Cistitis', 'Mitj', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('UROLO', 'Infecci urinaria', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);


/* Malalties que es borraran en el procs de proves */
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Lesi drmica', 'Intranscendent', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Luxaci', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Polls al cap', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);



-- Insercions de malalties errnies --------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR: SENSE ESPECIFICAR ESPECIALITAT DE LA MALALTIA'
   'ERROR: No s''ha trobat la Especialitat de la Malaltia'
   'ERROR: La Malaltia ja havia estat donada d''alta'
   'ERROR: No es pot crear una MALALTIA amb les dades obligatries sense contingut'
   'ERROR: El Nivell de gravetat de la Malaltia no est dins dels possibles'
   
 ******************************************************************************/

-- Falta l'especilitat
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('', 'Conjuntivitis', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Especilitat incorrecta
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('ZZZZ', 'Conjuntivitis', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Malaltia ja creada
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', 'Refredat', 'Intranscendent', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Falten dades
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('MEFAM', '', 'Lleu', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Nivell de gravetat incorrecte
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_A('OFTAL', 'Conjuntivitis', 'Normal', oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
