  /******************************************************************************
  
   ARXIU    : 4_2_ModifcacionsUsuaris.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de modificaci de les dades de la taula USUARI
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent modificaci de fitxes dels Usuaris del sistema de recollida de dades
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); /* Resultat de l'execuci del procediment */
    vProces VARCHAR2(80);  /* Nom del procediment que s'efecta */
BEGIN

  vProces := 'MODIFICACI USUARI: ';
  
-- Canvi de Nom
TFC_BD.PQ_USUARI_ABM.USUARI_M('172157777749', 'Jaume', '', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi de Cognom
TFC_BD.PQ_USUARI_ABM.USUARI_M('172157777749', '', 'Pons Arnau', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi Data de Naixement
TFC_BD.PQ_USUARI_ABM.USUARI_M('A89375353Y', '', '', '', '10/03/1990', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi del correu electrnic
TFC_BD.PQ_USUARI_ABM.USUARI_M('D125756923834', '', '', '', '', 'erichb@gmail.com', '', oRSP);
dbms_output.put_line(vProces || oRSP);

  
-- Modificacions d'usuari errnies --------------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR: SENSE NMERO D''AFILIACI DE L''USUARI' 
   'ERROR: NO HI HA CANVIS A FER EN LA FITXA DE L''USUARI'
   'ERROR: No es pot canviar Document Identificaci Usuari degut 
           a que un altre ja l''Utilitza'
   'ERROR: L''usuari no s'ha trobat a la base de dades'
   'ERROR: El Sexe de l''Usuari noms pot ser ''MASCULI'' o ''FEMENI'''
  
 ******************************************************************************/

-- Sense N afiliaci sanitria
TFC_BD.PQ_USUARI_ABM.USUARI_M('', 'Josep', 'Pons Arau', '40309097K', '10/03/1990', 
                              'ponsarau@gmail.com', 'MASCULI', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sense modificacions
TFC_BD.PQ_USUARI_ABM.USUARI_M('172157777749', '', '', '', '', '', '', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Document d'identificaci utilitzat per un altre usuari
TFC_BD.PQ_USUARI_ABM.USUARI_M('172157777749', 'Josep', 'Pons Arau', '77777777B', '10/03/1990', 
                              'ponsarau@gmail.com', 'MASCULI', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Usuari no trobat
TFC_BD.PQ_USUARI_ABM.USUARI_M('999999999999', 'Josep', 'Pons Arau', '40309097K', '10/03/1990', 
                              'ponsarau@gmail.com', 'MASCULI', oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sexe Incorrecte (restricci)
TFC_BD.PQ_USUARI_ABM.USUARI_M('172157777749', 'Josep', 'Pons Arau', '40309097K', '10/03/1990', 
                              'ponsarau@gmail.com', 'MMMMMMM', oRSP);
dbms_output.put_line(vProces || oRSP);



END;
/

COMMIT;
