  /******************************************************************************
  
   ARXIU    : 4_8_ModificacionsActivitats.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de modificaci de les dades de la taula ACTIVITAT
                                
   ******************************************************************************/


prompt **************************************************************************
prompt Fent modificaci de les activitats diries usuaris seguits en el Sistema
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

  vProces := 'MODIFICACI DIA ACTIVITAT USUARI : ';
  
-- Data de l'activitat diferent  
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, '', '07/01/14', NULL, NULL, NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Ms passes  
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, '', '', 400, NULL, NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Ms calories gastades 
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, '', '', NULL, 1200, NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- menys hores inactiu  
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, '', '', NULL, NULL, 5, oRSP);
dbms_output.put_line(vProces || oRSP);


-- Modificacions d'activitats errnies --------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR: SENSE IDENTIFICADOR DE L''ACTIVITAT'
  'ERROR: NO HI HA CANVIS A FER EN L''ACTIVITAT'
  'ERROR: No s'ha trobat l'Usuari que ha fet l''Activitat'
  'ERROR: Aquest Usuari ja t una Activitat en aquest dia'
  'ERROR: Les hores Inactives de l''Usuari no poden ser majors a les d''un dia'
  'ERROR: L'Activitat no s'ha trobat a la base de dades'
                 
 ******************************************************************************/

-- Sense Id Activitat
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(NULL, '172157777749', '05/01/14', 300, 900, 7, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Sense canvis
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, NULL, NULL, NULL, NULL, NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Usuari no trobat
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, '1799999999', '05/01/14', 300, 900, 7, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Canvi de data a una data ja amb dades
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, '172157777749', '10/02/14', 300, 900, 7, oRSP);
dbms_output.put_line(vProces || oRSP);

-- + de 24 Hores (restricci)
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(1, '172157777749', '05/01/14', 300, 900, 37, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Activitat no trobada
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_M(9999999, '172157777749', '05/01/14', 300, 900, 7, oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/


COMMIT;
