  /******************************************************************************
  
   ARXIU    : 5_3_BorratMetges.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de borrat de les dades de la taula METGE
                                
   ******************************************************************************/

prompt **************************************************************************
prompt Fent borrat de les fitxes dels Metges del sistema sanitari
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); /* Resultat de l'execuci del procediment */
    vProces VARCHAR2(80);  /* Nom del procediment que s'efecta */
BEGIN

  vProces := 'BORRAT METGE: ';

TFC_BD.PQ_METGE_ABM.METGE_B('CAT2132', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_B('CAT1732', oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_METGE_ABM.METGE_B('CAT4113', oRSP);
dbms_output.put_line(vProces || oRSP);

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR : SENSE NMERO DE COLLEGIAT DEL METGE' 
   'ERROR : ERROR: El Metge no s''ha trobat a la base de dades'
 
 ******************************************************************************/

-- Sense N collegiat
TFC_BD.PQ_METGE_ABM.METGE_B('', oRSP);
dbms_output.put_line(vProces || oRSP);

-- N collegiat incorrecte
TFC_BD.PQ_METGE_ABM.METGE_B('CAT9999', oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/

COMMIT;
