  /******************************************************************************
  
   ARXIU    : 5_6_BorratMalalties.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de borrat de les dades de la taula MALALTIA
                                
   ******************************************************************************/


prompt **************************************************************************
prompt Fent borrat de les Malalties controlades en el Sistema de salut
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

  vProces := 'BORRAT MALALTIA: ';

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_B(43, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_B(44, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_MALALTIA_ABM.MALALTIA_B(45, oRSP);
dbms_output.put_line(vProces || oRSP);

 -- Borrat de malalties errnies -----------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
  'ERROR: SENSE IDENTIFICADOR DE LA MALALTIA' 
  'ERROR: La Malaltia no s'ha trobat a la base de dades'
  'ERROR: No es pot esborrar La Malaltia per estar relacionada
          amb altres dades'
   
 ******************************************************************************/

-- Sense identificador
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_B( NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Malaltia no trobada
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_B( 999999, oRSP);
dbms_output.put_line(vProces || oRSP);

-- No es pot borrar (integritat referencial)
TFC_BD.PQ_MALALTIA_ABM.MALALTIA_B( 2, oRSP);
dbms_output.put_line(vProces || oRSP);

END;
/

COMMIT;
