  /******************************************************************************
  
   ARXIU    : 5_8_BorratActivitats.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Script de borrat de les dades de la taula ACTIVITAT
                                
   ******************************************************************************/


prompt **************************************************************************
prompt Fent borrat de les activitats diries usuaris seguits en el Sistema
prompt **************************************************************************
prompt 

SET SERVEROUTPUT ON; 

DECLARE
    oRSP    VARCHAR2(300); -- Resultat de l'execuci del procediment
    vProces VARCHAR2(80);  -- Nom del procediment que s'efecta
BEGIN

  vProces := 'BORRAT DIA ACTIVITAT USUARI : ';

TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_B(64, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_B(65, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_B(66, oRSP);
dbms_output.put_line(vProces || oRSP);

TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_B(67, oRSP);
dbms_output.put_line(vProces || oRSP);


-- Borrats erronis d'activitats ------------------------------------------------

/******************************************************************************
  
 ERRORS CONTROLATS:
 
   'ERROR : SENSE IDENTIFICADOR DE L'ACTIVITAT' 
   'ERROR : La Activitat no s'ha trobat a la base de dades'
    
 ******************************************************************************/

-- Sense Id Activitat
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_B(NULL, oRSP);
dbms_output.put_line(vProces || oRSP);

-- Activitat no trobada
TFC_BD.PQ_ACTIVITAT_ABM.ACTIVITAT_B(99999999, oRSP);
dbms_output.put_line(vProces || oRSP);


END;
/


COMMIT;
