  /******************************************************************************
  
   ARXIU    : 7_7_Consultes_E7.sql
   AUTOR    : Jess Hernndez Garcia - TFC - Aula 1
   
   PROPSIT : Consulta de dades Estadstiques E7 i E7C 
              - Informa del nombre de ciutadans als que se'ls
			    hi ha diagnosticat una malaltia degenerativa del
				sistema nervis.
   
   PARMETRES  :
      ENTRADA  :  pAny      : Any a consultar 
	                          (per a consultes E7 i E7C)
                  pPais     : Identificador del pais a Consultar 
				              (noms per a consultes E7)
				  
      SORTIDA  :  pRSP      : Resultat de la crida a la consulta                    
		
   ******************************************************************************/

SET SERVEROUTPUT ON;

DECLARE
  vRsp    VARCHAR2(500);
  vProces VARCHAR2(80);
    
BEGIN
  vProces := 'CONSULTA_EST7 ';

-- CONSULTES PER PASOS

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST7('SPA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST7('FRA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST7('ITA', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_EST7('GBR', 2014, vRsp);
dbms_output.put_line(vProces || vRsp);

  vProces := 'CONSULTA_ESTC7 ';
  
-- CONSULTES UNIO EUROPEA

TFC_BD.PQ_CON_ESTADISTIQUES.CONSULTA_ESTC7(2014, vRsp);
dbms_output.put_line(vProces || vRsp);

---------------------------------------------------------------------------------------------------
END;
/
